org.apache.storm.localizer

## Enum LocallyCachedTopologyBlob.TopologyBlobType

- java.lang.Object
- - java.lang.Enum<LocallyCachedTopologyBlob.TopologyBlobType>
  - - org.apache.storm.localizer.LocallyCachedTopologyBlob.TopologyBlobType

- All Implemented Interfaces:
    Serializable, Comparable<LocallyCachedTopologyBlob.TopologyBlobType>
  Enclosing class:
    LocallyCachedTopologyBlob

      public static enum LocallyCachedTopologyBlob.TopologyBlobType
      extends Enum<LocallyCachedTopologyBlob.TopologyBlobType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `TOPO_CODE`
    `TOPO_CONF`
    `TOPO_JAR`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getExtractionDir()`
    `String` | `getFileName()`
    `String` | `getKey(String topologyId)`
    `String` | `getTempExtractionDir(long version)`
    `String` | `getTempFileName(long version)`
    `String` | `getVersionFileName()`
    `boolean` | `needsExtraction()`
    `static LocallyCachedTopologyBlob.TopologyBlobType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static LocallyCachedTopologyBlob.TopologyBlobType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOPO_JAR

          public static final LocallyCachedTopologyBlob.TopologyBlobType TOPO_JAR

    - #### TOPO_CODE

          public static final LocallyCachedTopologyBlob.TopologyBlobType TOPO_CODE

    - #### TOPO_CONF

          public static final LocallyCachedTopologyBlob.TopologyBlobType TOPO_CONF

  - ### Method Detail

    - #### values

          public static LocallyCachedTopologyBlob.TopologyBlobType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocallyCachedTopologyBlob.TopologyBlobType c : LocallyCachedTopologyBlob.TopologyBlobType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocallyCachedTopologyBlob.TopologyBlobType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getFileName

          public String getFileName()

    - #### getTempFileName

          public String getTempFileName(long version)

    - #### getVersionFileName

          public String getVersionFileName()

    - #### getKey

          public String getKey(String topologyId)

    - #### needsExtraction

          public boolean needsExtraction()

    - #### getExtractionDir

          public String getExtractionDir()

    - #### getTempExtractionDir

          public String getTempExtractionDir(long version)

Copyright © 2021 The Apache Software Foundation. All rights reserved.